/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Jan 4, 2006
 *
 */
package gov.va.med.esr.common.model.lookup;

// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class POWDocumentType extends AbstractNamedActiveLookup {
	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 944553066827904606L;

	public static final Code CODE_DD214 = new Code("1");
	public static final Code CODE_DD215 = new Code("2");
	public static final Code CODE_WD_AGO_FORM = new Code("3");
	public static final Code CODE_MILITARY_ORDERS_OF_AWARD = new Code("4");
	public static final Code CODE_OTHER_OFFICIAL_SVC_RECORDS = new Code("5");
	public static final Code CODE_VBA_DOD_FILE = new Code("6");

	public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = -8239500090649591128L;

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}
	
	public POWDocumentType() {
		super();
	}
}
